Name:           perl-CGI-Struct
Version:        1.21
Release:        8%{?dist}
Summary:        Build structures from CGI data
# BSD License (two clause), according to lib/CGI/Struct.pm
License:        BSD

URL:            http://search.cpan.org/dist/CGI-Struct/
Source0:        http://www.cpan.org/authors/id/F/FU/FULLERMD/CGI-Struct-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Deep::NoTest)
BuildRequires:  perl(Test::More) >= 1.22
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
BuildRequires:  perl(Pod::Coverage) >= 0.18
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
CGI::Struct lets you transform CGI data keys that look like perl data
structures into actual perl data structures.

%prep
%setup -q -n CGI-Struct-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/CGI*
%{_mandir}/man3/CGI*

%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.21-8
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.21-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.21-3
- Perl 5.22 rebuild

* Mon Dec 01 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.21-2
- Take into account review comments (#1169284)

* Fri Nov 28 2014 Emmanuel Seyman <emmanuel@seyman.fr> 1.21-1
- Specfile autogenerated by cpanspec 1.78.
